---
title: '<xsl:import>'
slug: Web/XSLT/Element/import
tags:
  - Element
  - Reference
  - XSLT
  - import
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:import&gt;</code> element is a top-level element that serves to import the contents of one stylesheet into another stylesheet. Generally speaking, the contents of the imported stylesheet have a lower import precedence than that of the importing stylesheet. This is in contrast to <code>&lt;xsl:include&gt;</code> where the contents of the included stylesheet have exactly the same precedence as the contents of the including stylesheet.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:import href=URI  /&gt;</pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>href</code></dt>
 <dd>Specifies the URI of the stylesheet to import.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Top-level, must appear before any other child of <code>&lt;xsl:stylesheet&gt;</code> or <code>&lt;xsl:transform&gt;</code> in the importing stylesheet.</p>


<h3 id="Defined">Defined</h3>

<p>XSLT, section 2.6.2.</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Mostly supported with a few issues with top level variables and parameters as of Mozilla 1.0.</p>
